VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
CControl::Impl Struct Reference
Inheritance diagram for CControl::Impl:

## Public Types
using | SubListenerDispatcher = DispatchList<IControlListener*>

## Public Member Functions
void | viewOnEvent (CView *view, Event &event) override
| called on an event on a view
Public Member Functions inherited from ViewEventListenerAdapter
void | viewOnEvent (CView *view, Event &event) override
| called on an event on a view
Public Member Functions inherited from IViewEventListener
virtual | ~IViewEventListener () noexcept=default

## Public Attributes
SubListenerDispatcher | subListeners
float | oldValue {1}
float | defaultValue {0.5}
float | vmin {0}
float | vmax {1.f}
float | wheelInc {0.1f}
int32_t | editing {0}

## Member Typedef Documentation

## ◆ SubListenerDispatcher

using SubListenerDispatcher = DispatchList<IControlListener*>

## Member Function Documentation

## ◆ viewOnEvent()

void viewOnEvent | ( | CView * | view,
|  | Event & | event )
| inline override virtual

called on an event on a view

whenever an event is dispatched to a view, the listener will be notified about it and can mark the event as consumed if necessary to prevent that the event is handled by the view and further dispatched in the view hierarchy.

Implements IViewEventListener.

## Member Data Documentation

## ◆ defaultValue

float defaultValue {0.5}

## ◆ editing

int32_t editing {0}

## ◆ oldValue

float oldValue {1}

## ◆ subListeners

SubListenerDispatcher subListeners

## ◆ vmax

float vmax {1.f}

## ◆ vmin

float vmin {0}

## ◆ wheelInc

float wheelInc {0.1f}

The documentation for this struct was generated from the following file:

- ccontrol.cpp